%define languageenglazy Galician
%define languagecode    gl
%define lc_ctype        gl_ES

%define upstream_version 20080515

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 10
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2
Group:          System/Internationalization
URL:            http://wiki.mancomun.org/index.php/Corrector_ortográfico_para_OpenOffice.org
Source0:        http://openoffice.mancomun.org/libreeengalego/Corrector/%{lc_ctype}-pack.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-gl
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
unzip %{lc_ctype}.zip
chmod -x *

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_gl_ES.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20080515.1-10.mga4
+ Revision: 505566
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20080515.1-9.mga3
+ Revision: 353487
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20080515.1-8.mga3
+ Revision: 325302
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20080515.1-7.mga2
+ Revision: 224656
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20080515.1-6.mga2
+ Revision: 207773
- use better obsoleting of myspell

* Fri Jan 20 2012 kamil <kamil> 0.20080515.1-5.mga2
+ Revision: 198530
- fix URL
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20080515.1-4.mga1
+ Revision: 68799
- imported package hunspell-gl


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080515-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080515-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080515-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 16 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080515-1
- latest dictionaries

* Wed Apr 16 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080410-1
- latest dictionaries

* Fri Nov 09 2007 Caolan McNamara <caolanm@redhat.com> - 0.20071107-1
- latest dictionaries

* Tue Aug 21 2007 Caolan McNamara <caolanm@redhat.com> - 0.20070802-1
- latest dictionaries
- clarify license

* Sun May 05 2007 Caolan McNamara <caolanm@redhat.com> - 0.20070504-1
- latest dictionaries

* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 0.20061002-1
- initial version
